const path = require('path');

module.exports = {
	presets: [require('../../packages/styles/src/tailwind.config')],
	purge: {
		enabled: true,
		options: require('../../packages/styles/src/tailwind.config').purge.options,
		content: [
			...require('../../packages/styles/src/tailwind.config').purge.content,
			path.resolve(__dirname + '../../../stories/**/*.{ts,mdx}'),
		],
	},
	darkMode: false,
	theme: {
		extend: {},
	},
	variants: {
		extend: {},
	},
	corePlugins: {
		float: false,
	},
	plugins: [],
};
