import { Action } from '@treejs/types/redux/actions';

import { ACTIONS, FetchConfig } from './types';

export const fetchData = <C = unknown>(config: FetchConfig<C>): Action<FetchConfig<C>> => ({
	type: ACTIONS.FETCH,
	payload: config,
});
