import React from 'react';

type IProps = {
	children: React.ReactElement;
	isLoading: boolean;
	placeholder: React.ReactElement;
};

export const ContentLoader = (props: IProps): React.ReactElement => {
	if (props.isLoading) {
		return props.placeholder;
	}
	return props.children;
};

export default ContentLoader;
