type prefixed = { [key: string]: any };

export const keyPrefix = (source: prefixed, prefix: string): prefixed => {
	const prefixed: prefixed = {};
	const keys = Object.keys(source);

	for (let i = 0; i < keys.length; i++) {
		prefixed[`${prefix}.${keys[i]}`] = source[keys[i]];
	}

	return prefixed;
};
