export type AuthReducer<P> = IAuthOption<P>;

export enum ACTIONS {
	SET_AUTHENTICATED = 'auth/SET_AUTHENTICATED',
	UPDATE_AUTHENTICATED = 'auth/UPDATE_AUTHENTICATED',
}

export type IAuthOption<P> = {
	accessToken: string;
	authenticated: boolean;
	refreshToken: string;
	userId: string;
} & P;
