import React from 'react';

type IProps = {
	title: string | React.ReactElement;
};

const TableCell: React.FC<IProps> = (props) => {
	return (
		<div className="table-component-cell" data-title={props.title}>
			{props.children}
		</div>
	);
};

export default TableCell;
