const message = (theme) => ({
	'.message': {
		padding: theme('spacing.4'),
		marginTop: theme('spacing.5'),

		width: '100%',

		display: 'flex',
		alignItems: 'center',

		color: theme('colors.black'),
		backgroundColor: 'white',

		borderRadius: theme('borderRadius.sm'),

		'&--none': {
			backgroundColor: 'white',
			border: `2px solid ${theme('colors.whitesmoke')}`,
		},
		'&--info': {
			backgroundColor: theme('colors.info'),
		},
		'&--success': {
			backgroundColor: theme('colors.success'),
		},
		'&--warning': {
			color: theme('colors.black'),
			backgroundColor: theme('colors.warning'),
		},
		'&--error': {
			color: theme('colors.black'),
			backgroundColor: theme('colors.error.DEFAULT'),
		},
	},
});

module.exports = ({ addComponents, theme }) => {
	addComponents(message(theme));
};

module.exports.message = message;
