import { APIReducer } from '@treejs/api/types';
import { AUTH_REDUCER_NAME } from '@treejs/auth/constants';
import { AuthReducer } from '@treejs/auth/types';
import { MODAL_REDUCER_NAME } from '@treejs/components/Modal/constants';
import { ModalReducer } from '@treejs/components/Modal/types';
import { TOASTER_REDUCER_NAME } from '@treejs/components/Toaster/constants';
import { ToasterReducer } from '@treejs/components/Toaster/types';
import { ROOT_REDUCER_NAME } from '@treejs/constants/redux';

export type TreeJSReducer = {
	[AUTH_REDUCER_NAME]: AuthReducer<any>;
	[MODAL_REDUCER_NAME]: ModalReducer;
	[TOASTER_REDUCER_NAME]: ToasterReducer;
	fetch: APIReducer;
};

export type Store = {
	[ROOT_REDUCER_NAME]: TreeJSReducer;
};
